Create Verifications V1
curl --request POST \
--url https://api.soharhealth.com/v1/verifications/batch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"verifications": [
{
"firstName": "John",
"lastName": "Doe",
"dateOfBirth": "09/20/2023",
"state": "CA",
"memberId": "00000000",
"payerId": "62308",
"npi": "0123456789",
"taxonomyCode": "2084P0800X",
"placeOfService": "02",
"id": "123456",
"subscriber": {
"firstName": "<string>",
"lastName": "<string>",
"dateOfBirth": "09/20/2023"
}
}
]
}
'import requests
url = "https://api.soharhealth.com/v1/verifications/batch"
payload = { "verifications": [
{
"firstName": "John",
"lastName": "Doe",
"dateOfBirth": "09/20/2023",
"state": "CA",
"memberId": "00000000",
"payerId": "62308",
"npi": "0123456789",
"taxonomyCode": "2084P0800X",
"placeOfService": "02",
"id": "123456",
"subscriber": {
"firstName": "<string>",
"lastName": "<string>",
"dateOfBirth": "09/20/2023"
}
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
verifications: [
{
firstName: 'John',
lastName: 'Doe',
dateOfBirth: '09/20/2023',
state: 'CA',
memberId: '00000000',
payerId: '62308',
npi: '0123456789',
taxonomyCode: '2084P0800X',
placeOfService: '02',
id: '123456',
subscriber: {firstName: '<string>', lastName: '<string>', dateOfBirth: '09/20/2023'}
}
]
})
};
fetch('https://api.soharhealth.com/v1/verifications/batch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"status": 201,
"patientId": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"verificationId": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"error": "invalid_request_error",
"param": "memberId",
"id": "123456"
}
]
}{
"error": "invalid_request_error",
"param": "verifications"
}{
"error": "invalid_request_error"
}Legacy Endpoints
Create Verifications V1
This API is still available but no longer supported and is planned for deprecation in a future release; users should transition to the Create Verifications API.
POST
/
v1
/
verifications
/
batch
Create Verifications V1
⌘I